GET
/api/v1/kubernetes/add-node-pools/{service_id}
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/kubernetes/add-node-pools/{service_id}?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/kubernetes/add-node-pools/{service_id}", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/kubernetes/add-node-pools/{service_id}");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns the data needed to add a worker node pool to an existing cluster - the cluster’s current worker pools and their configuration. Use the cluster service_id returned by List.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”service_id
required
integer
The cluster service_id, as returned by List.
Example
12345Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request.
Example
<API_KEY>location
required
string
Region of the cluster.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
Returns the cluster’s current worker pools (the data backing the add-node-pool view).
object
code
integer
data
Array<object>
object
service_id
integer
service_name
string
state
string
plan_name
string
errors
object
message
string
Example
{ "code": 200, "data": [ { "service_id": 12346, "service_name": "pool-worker-1", "state": "Running", "plan_name": "C3.8GB" } ], "message": "Success"}